Loading...
Searching...
No Matches
EventHandler.h File Reference

An abstract interface for handling I/O events, timers, and such. More...

`#include "assa/Assure.h"`

Go to the source code of this file.

## Classes

class | ASSA::EventHandler
| EventHandler class. More...

## Namespaces

namespace | ASSA

## Typedefs

typedef unsigned long | ASSA::TimerId
| Timer Id is used in handle_timeout() calls.
typedef int(EventHandler::* | ASSA::EH_IO_Callback) (int)
| A type for the pointer to I/O-related callback member function of class EventHandler.

## Enumerations

enum | ASSA::EventType { ASSA::READ_EVENT = 0x01 , ASSA::WRITE_EVENT = 0x02 , ASSA::EXCEPT_EVENT = 0x04 , ASSA::TIMEOUT_EVENT = 0x10 , ASSA::SIGNAL_EVENT = 0x20 , ASSA::RWE_EVENTS = 0x07 , ASSA::ALL_EVENTS = 0x37 }
| EventType defines events types that Reactor understands. More...

## Functions

bool | ASSA::isReadEvent (EventType e_)
bool | ASSA::isWriteEvent (EventType e_)
bool | ASSA::isExceptEvent (EventType e_)
bool | ASSA::isTimeoutEvent (EventType e_)
bool | ASSA::isSignalEvent (EventType e_)
bool | ASSA::isRWEEvents (EventType e_)
bool | ASSA::isAllEvents (EventType e_)

## Detailed Description

An abstract interface for handling I/O events, timers, and such.

Definition in file EventHandler.h.